package de.ozgcloud.operator;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@ConfigurationProperties("ozgcloud.elasticsearch")
@Configuration
public class OzgCloudElasticsearchProperties {

	private String secretCredentialsName;
	private String certificateSecretName;

	private OzgCloudElasticsearchServerProperties server;

	@Getter
	@Setter
	public static class OzgCloudElasticsearchServerProperties {

		private String namespace;
		private String secretName;
		private String secretDataKey;
		private String secretCredentialsName;
		private String host;
		private int port;
		private String scheme;
		private String certificateNamespace;
		private String certificateSecretName;
		private String certificateSecretDataKey;
	}
}